<%@ page contentType="text/html;charset=UTF-8" %>
<script>

$(document).ready(function() {

	$('#informationTable').bootstrapTable({

		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	       		showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
               cache: false,
               //是否显示分页（*）
               pagination: true,
                //排序方式
               sortOrder: "asc",
               //初始化加载第一页，默认第一页
               pageNumber:1,
               //每页的记录行数（*）
               pageSize: 10,
               //可供选择的每页的行数（*）
               pageList: [10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
               url: "${ctx}/sg/record/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',
               ////查询参数,每次调用是会带上这个参数，可自定义
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
			},
               columns: [ {
				   field: 'information',
				   title: '综合信息表是否完成',
					visible:true
			   },{
				   field: 'material',
				   title: '甲供材表是否完成',
				   visible:true
			   },{
				   field: 'importUser',
				   title: '导入人',
				   visible:true
			   },{
				   field: 'importDate',
				   title: '同步时间',
				   visible:true
			   }

		     ]
		});

	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端
		  $('#informationTable').bootstrapTable("toggleView");
		}

	  $('#informationTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#informationTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#informationTable').bootstrapTable('getSelections').length!=1);
        });


	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#informationTable').bootstrapTable('refresh');
		});

	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $('#informationTable').bootstrapTable('refresh');
		});

	document.getElementById("btnCom").addEventListener("change",function () {
		change()
	});

	document.getElementById("btnInformation").addEventListener("change",function () {
		change()
	});

	function change() {
		var btnInformation = document.getElementById("btnInformation").value;
		var btnCom = document.getElementById("btnCom").value;
		console.log(btnInformation);
		console.log(btnCom);
		if (btnInformation !="" && btnCom !="") {
			$('#exportMaterial').css({'display':'block','text-align':'center','margin':'0 auto'});
		} else {

		}
	}


	$("#exportMaterial").click(function(){
		var btnCom = document.getElementById("btnCom").files[0]
		var btnInformation = document.getElementById("btnInformation").files[0]
		console.log(btnCom);
		console.log(btnInformation);
		var formDate = new FormData();
		formDate.append("btnCom", btnCom);
		formDate.append("btnInformation", btnInformation);
		jp.loading('正在导入，请稍等...');
		// var defer = $.Deferred();
		$.ajax({
			url: "${ctx}/sg/information/importTwo",
			type: 'post',
			data: formDate,
			cache: false,
			contentType: false,
			processData: false,
			dataType:"json",
			success:function (data) {
				console.log(data);
				console.log(data.success);
				if (data.success) {
					jp.success("成功");
					window.location.reload();
				} else {
					jp.error("失败");
					window.location.reload();
				}
			}
		})
	});

	});



    //刷新列表
  function refresh() {
      $('#informationTable').bootstrapTable('refresh');
  }

	function addRow(list, idx, tpl, row){
		$(list).append(Mustache.render(tpl, {
			idx: idx, delBtn: true, row: row
		}));
	}




</script>
